Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.lcm
Interface LCMPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  LCMPackageImpl

    public interface LCMPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

The schema for OASIS ebXML Registry Services The schema for OASIS ebXML Registry Information Model See http://www.w3.org/XML/1998/namespace.html and http://www.w3.org/TR/REC-xml for information about this namespace. This schema document describes the XML namespace, in a form suitable for import by other schema documents. Note that local names in this namespace are intended to be defined only by the World Wide Web Consortium or its subgroups. The following names are currently defined in this namespace and should not be used with conflicting semantics by any Working Group, specification, or document instance: base (as an attribute name): denotes an attribute whose value provides a URI to be used as the base for interpreting any relative URIs in the scope of the element on which it appears; its value is inherited. This name is reserved by virtue of its definition in the XML Base specification. id (as an attribute name): denotes an attribute whose value should be interpreted as if declared to be of type ID. The xml:id specification is not yet a W3C Recommendation, but this attribute is included here to facilitate experimentation with the mechanisms it proposes. Note that it is _not_ included in the specialAttrs attribute group. lang (as an attribute name): denotes an attribute whose value is a language code for the natural language of the content of any element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. space (as an attribute name): denotes an attribute whose value is a keyword indicating what whitespace processing discipline is intended for the content of the element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. Father (in any context at all): denotes Jon Bosak, the chair of the original XML Working Group. This name is reserved by the following decision of the W3C XML Plenary and XML Coordination groups: In appreciation for his vision, leadership and dedication the W3C XML Plenary on this 10th day of February, 2000 reserves for Jon Bosak in perpetuity the XML name xml:Father This schema defines attributes and an attribute group suitable for use by schemas wishing to allow xml:base, xml:lang, xml:space or xml:id attributes on elements they define. To enable this, such a schema must import this schema for the XML namespace, e.g. as follows: <schema . . .> . . . <import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="http://www.w3.org/2001/xml.xsd"/> Subsequently, qualified reference to any of the attributes or the group defined below will have the desired effect, e.g. <type . . .> . . . <attributeGroup ref="xml:specialAttrs"/> will define a type which will schema-validate an instance element with any of those attributes In keeping with the XML Schema WG's standard versioning policy, this schema document will persist at http://www.w3.org/2005/08/xml.xsd. At the date of issue it can also be found at http://www.w3.org/2001/xml.xsd. The schema document at that URI may however change in the future, in order to remain compatible with the latest version of XML Schema itself, or with the XML namespace itself. In other words, if the XML Schema or XML namespaces change, the version of this document at http://www.w3.org/2001/xml.xsd will change accordingly; the version at http://www.w3.org/2005/08/xml.xsd will not change. The schema for OASIS ebXML Registry Services

See Also:
  `LCMFactory`

Nested Class Summary
`static interface` | `LCMPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `ACCEPT_OBJECTS_REQUEST_TYPE` The meta object id for the '`Accept Objects Request Type`' class.
`static int` | `ACCEPT_OBJECTS_REQUEST_TYPE__COMMENT` The feature id for the 'Comment' attribute.
`static int` | `ACCEPT_OBJECTS_REQUEST_TYPE__CORRELATION_ID` The feature id for the 'Correlation Id' attribute.
`static int` | `ACCEPT_OBJECTS_REQUEST_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `ACCEPT_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST` The feature id for the 'Request Slot List' containment reference.
`static int` | `ACCEPT_OBJECTS_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Accept Objects Request Type' class.
`static int` | `APPROVE_OBJECTS_REQUEST_TYPE` The meta object id for the '`Approve Objects Request Type`' class.
`static int` | `APPROVE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY` The feature id for the 'Adhoc Query' containment reference.
`static int` | `APPROVE_OBJECTS_REQUEST_TYPE__COMMENT` The feature id for the 'Comment' attribute.
`static int` | `APPROVE_OBJECTS_REQUEST_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `APPROVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST` The feature id for the 'Object Ref List' containment reference.
`static int` | `APPROVE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST` The feature id for the 'Request Slot List' containment reference.
`static int` | `APPROVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Approve Objects Request Type' class.
`static int` | `DEPRECATE_OBJECTS_REQUEST_TYPE` The meta object id for the '`Deprecate Objects Request Type`' class.
`static int` | `DEPRECATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY` The feature id for the 'Adhoc Query' containment reference.
`static int` | `DEPRECATE_OBJECTS_REQUEST_TYPE__COMMENT` The feature id for the 'Comment' attribute.
`static int` | `DEPRECATE_OBJECTS_REQUEST_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `DEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST` The feature id for the 'Object Ref List' containment reference.
`static int` | `DEPRECATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST` The feature id for the 'Request Slot List' containment reference.
`static int` | `DEPRECATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Deprecate Objects Request Type' class.
`static int` | `DOCUMENT_ROOT` The meta object id for the '`Document Root`' class.
`static int` | `DOCUMENT_ROOT__ACCEPT_OBJECTS_REQUEST` The feature id for the 'Accept Objects Request' containment reference.
`static int` | `DOCUMENT_ROOT__APPROVE_OBJECTS_REQUEST` The feature id for the 'Approve Objects Request' containment reference.
`static int` | `DOCUMENT_ROOT__DEPRECATE_OBJECTS_REQUEST` The feature id for the 'Deprecate Objects Request' containment reference.
`static int` | `DOCUMENT_ROOT__MIXED` The feature id for the 'Mixed' attribute list.
`static int` | `DOCUMENT_ROOT__RELOCATE_OBJECTS_REQUEST` The feature id for the 'Relocate Objects Request' containment reference.
`static int` | `DOCUMENT_ROOT__REMOVE_OBJECTS_REQUEST` The feature id for the 'Remove Objects Request' containment reference.
`static int` | `DOCUMENT_ROOT__SUBMIT_OBJECTS_REQUEST` The feature id for the 'Submit Objects Request' containment reference.
`static int` | `DOCUMENT_ROOT__UNDEPRECATE_OBJECTS_REQUEST` The feature id for the 'Undeprecate Objects Request' containment reference.
`static int` | `DOCUMENT_ROOT__UPDATE_OBJECTS_REQUEST` The feature id for the 'Update Objects Request' containment reference.
`static int` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The feature id for the 'XMLNS Prefix Map' map.
`static int` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The feature id for the 'XSI Schema Location' map.
`static int` | `DOCUMENT_ROOT_FEATURE_COUNT` The number of structural features of the 'Document Root' class.
`static LCMPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `RELOCATE_OBJECTS_REQUEST_TYPE` The meta object id for the '`Relocate Objects Request Type`' class.
`static int` | `RELOCATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY` The feature id for the 'Adhoc Query' containment reference.
`static int` | `RELOCATE_OBJECTS_REQUEST_TYPE__COMMENT` The feature id for the 'Comment' attribute.
`static int` | `RELOCATE_OBJECTS_REQUEST_TYPE__DESTINATION_REGISTRY` The feature id for the 'Destination Registry' containment reference.
`static int` | `RELOCATE_OBJECTS_REQUEST_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `RELOCATE_OBJECTS_REQUEST_TYPE__OWNER_AT_DESTINATION` The feature id for the 'Owner At Destination' containment reference.
`static int` | `RELOCATE_OBJECTS_REQUEST_TYPE__OWNER_AT_SOURCE` The feature id for the 'Owner At Source' containment reference.
`static int` | `RELOCATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST` The feature id for the 'Request Slot List' containment reference.
`static int` | `RELOCATE_OBJECTS_REQUEST_TYPE__SOURCE_REGISTRY` The feature id for the 'Source Registry' containment reference.
`static int` | `RELOCATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Relocate Objects Request Type' class.
`static int` | `REMOVE_OBJECTS_REQUEST_TYPE` The meta object id for the '`Remove Objects Request Type`' class.
`static int` | `REMOVE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY` The feature id for the 'Adhoc Query' containment reference.
`static int` | `REMOVE_OBJECTS_REQUEST_TYPE__COMMENT` The feature id for the 'Comment' attribute.
`static int` | `REMOVE_OBJECTS_REQUEST_TYPE__DELETION_SCOPE` The feature id for the 'Deletion Scope' attribute.
`static int` | `REMOVE_OBJECTS_REQUEST_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `REMOVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST` The feature id for the 'Object Ref List' containment reference.
`static int` | `REMOVE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST` The feature id for the 'Request Slot List' containment reference.
`static int` | `REMOVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Remove Objects Request Type' class.
`static int` | `SUBMIT_OBJECTS_REQUEST_TYPE` The meta object id for the '`Submit Objects Request Type`' class.
`static int` | `SUBMIT_OBJECTS_REQUEST_TYPE__COMMENT` The feature id for the 'Comment' attribute.
`static int` | `SUBMIT_OBJECTS_REQUEST_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `SUBMIT_OBJECTS_REQUEST_TYPE__REGISTRY_OBJECT_LIST` The feature id for the 'Registry Object List' containment reference.
`static int` | `SUBMIT_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST` The feature id for the 'Request Slot List' containment reference.
`static int` | `SUBMIT_OBJECTS_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Submit Objects Request Type' class.
`static int` | `UNDEPRECATE_OBJECTS_REQUEST_TYPE` The meta object id for the '`Undeprecate Objects Request Type`' class.
`static int` | `UNDEPRECATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY` The feature id for the 'Adhoc Query' containment reference.
`static int` | `UNDEPRECATE_OBJECTS_REQUEST_TYPE__COMMENT` The feature id for the 'Comment' attribute.
`static int` | `UNDEPRECATE_OBJECTS_REQUEST_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `UNDEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST` The feature id for the 'Object Ref List' containment reference.
`static int` | `UNDEPRECATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST` The feature id for the 'Request Slot List' containment reference.
`static int` | `UNDEPRECATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Undeprecate Objects Request Type' class.
`static int` | `UPDATE_OBJECTS_REQUEST_TYPE` The meta object id for the '`Update Objects Request Type`' class.
`static int` | `UPDATE_OBJECTS_REQUEST_TYPE__COMMENT` The feature id for the 'Comment' attribute.
`static int` | `UPDATE_OBJECTS_REQUEST_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `UPDATE_OBJECTS_REQUEST_TYPE__REGISTRY_OBJECT_LIST` The feature id for the 'Registry Object List' containment reference.
`static int` | `UPDATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST` The feature id for the 'Request Slot List' containment reference.
`static int` | `UPDATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Update Objects Request Type' class.

Method Summary
`org.eclipse.emf.ecore.EAttribute` | `getAcceptObjectsRequestType_CorrelationId()` Returns the meta object for the attribute '`Correlation Id`'.
`org.eclipse.emf.ecore.EClass` | `getAcceptObjectsRequestType()` Returns the meta object for class '`Accept Objects Request Type`'.
`org.eclipse.emf.ecore.EReference` | `getApproveObjectsRequestType_AdhocQuery()` Returns the meta object for the containment reference '`Adhoc Query`'.
`org.eclipse.emf.ecore.EReference` | `getApproveObjectsRequestType_ObjectRefList()` Returns the meta object for the containment reference '`Object Ref List`'.
`org.eclipse.emf.ecore.EClass` | `getApproveObjectsRequestType()` Returns the meta object for class '`Approve Objects Request Type`'.
`org.eclipse.emf.ecore.EReference` | `getDeprecateObjectsRequestType_AdhocQuery()` Returns the meta object for the containment reference '`Adhoc Query`'.
`org.eclipse.emf.ecore.EReference` | `getDeprecateObjectsRequestType_ObjectRefList()` Returns the meta object for the containment reference '`Object Ref List`'.
`org.eclipse.emf.ecore.EClass` | `getDeprecateObjectsRequestType()` Returns the meta object for class '`Deprecate Objects Request Type`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AcceptObjectsRequest()` Returns the meta object for the containment reference '`Accept Objects Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ApproveObjectsRequest()` Returns the meta object for the containment reference '`Approve Objects Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_DeprecateObjectsRequest()` Returns the meta object for the containment reference '`Deprecate Objects Request`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()` Returns the meta object for the attribute list '`Mixed`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RelocateObjectsRequest()` Returns the meta object for the containment reference '`Relocate Objects Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RemoveObjectsRequest()` Returns the meta object for the containment reference '`Remove Objects Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SubmitObjectsRequest()` Returns the meta object for the containment reference '`Submit Objects Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_UndeprecateObjectsRequest()` Returns the meta object for the containment reference '`Undeprecate Objects Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_UpdateObjectsRequest()` Returns the meta object for the containment reference '`Update Objects Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()` Returns the meta object for the map '`XMLNS Prefix Map`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()` Returns the meta object for the map '`XSI Schema Location`'.
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()` Returns the meta object for class '`Document Root`'.
`LCMFactory` | `getLCMFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getRelocateObjectsRequestType_AdhocQuery()` Returns the meta object for the containment reference '`Adhoc Query`'.
`org.eclipse.emf.ecore.EReference` | `getRelocateObjectsRequestType_DestinationRegistry()` Returns the meta object for the containment reference '`Destination Registry`'.
`org.eclipse.emf.ecore.EReference` | `getRelocateObjectsRequestType_OwnerAtDestination()` Returns the meta object for the containment reference '`Owner At Destination`'.
`org.eclipse.emf.ecore.EReference` | `getRelocateObjectsRequestType_OwnerAtSource()` Returns the meta object for the containment reference '`Owner At Source`'.
`org.eclipse.emf.ecore.EReference` | `getRelocateObjectsRequestType_SourceRegistry()` Returns the meta object for the containment reference '`Source Registry`'.
`org.eclipse.emf.ecore.EClass` | `getRelocateObjectsRequestType()` Returns the meta object for class '`Relocate Objects Request Type`'.
`org.eclipse.emf.ecore.EReference` | `getRemoveObjectsRequestType_AdhocQuery()` Returns the meta object for the containment reference '`Adhoc Query`'.
`org.eclipse.emf.ecore.EAttribute` | `getRemoveObjectsRequestType_DeletionScope()` Returns the meta object for the attribute '`Deletion Scope`'.
`org.eclipse.emf.ecore.EReference` | `getRemoveObjectsRequestType_ObjectRefList()` Returns the meta object for the containment reference '`Object Ref List`'.
`org.eclipse.emf.ecore.EClass` | `getRemoveObjectsRequestType()` Returns the meta object for class '`Remove Objects Request Type`'.
`org.eclipse.emf.ecore.EReference` | `getSubmitObjectsRequestType_RegistryObjectList()` Returns the meta object for the containment reference '`Registry Object List`'.
`org.eclipse.emf.ecore.EClass` | `getSubmitObjectsRequestType()` Returns the meta object for class '`Submit Objects Request Type`'.
`org.eclipse.emf.ecore.EReference` | `getUndeprecateObjectsRequestType_AdhocQuery()` Returns the meta object for the containment reference '`Adhoc Query`'.
`org.eclipse.emf.ecore.EReference` | `getUndeprecateObjectsRequestType_ObjectRefList()` Returns the meta object for the containment reference '`Object Ref List`'.
`org.eclipse.emf.ecore.EClass` | `getUndeprecateObjectsRequestType()` Returns the meta object for class '`Undeprecate Objects Request Type`'.
`org.eclipse.emf.ecore.EReference` | `getUpdateObjectsRequestType_RegistryObjectList()` Returns the meta object for the containment reference '`Registry Object List`'.
`org.eclipse.emf.ecore.EClass` | `getUpdateObjectsRequestType()` Returns the meta object for class '`Update Objects Request Type`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final LCMPackage eINSTANCE

  The singleton instance of the package.

### ACCEPT_OBJECTS_REQUEST_TYPE

    static final int ACCEPT_OBJECTS_REQUEST_TYPE

  The meta object id for the '`Accept Objects Request Type`' class.

  See Also:
    `AcceptObjectsRequestTypeImpl`, `LCMPackageImpl.getAcceptObjectsRequestType()`, Constant Field Values

### ACCEPT_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

    static final int ACCEPT_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

  The feature id for the 'Request Slot List' containment reference.

  See Also:
    Constant Field Values

### ACCEPT_OBJECTS_REQUEST_TYPE__COMMENT

    static final int ACCEPT_OBJECTS_REQUEST_TYPE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### ACCEPT_OBJECTS_REQUEST_TYPE__ID

    static final int ACCEPT_OBJECTS_REQUEST_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### ACCEPT_OBJECTS_REQUEST_TYPE__CORRELATION_ID

    static final int ACCEPT_OBJECTS_REQUEST_TYPE__CORRELATION_ID

  The feature id for the 'Correlation Id' attribute.

  See Also:
    Constant Field Values

### ACCEPT_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

    static final int ACCEPT_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Accept Objects Request Type' class.

  See Also:
    Constant Field Values

### APPROVE_OBJECTS_REQUEST_TYPE

    static final int APPROVE_OBJECTS_REQUEST_TYPE

  The meta object id for the '`Approve Objects Request Type`' class.

  See Also:
    `ApproveObjectsRequestTypeImpl`, `LCMPackageImpl.getApproveObjectsRequestType()`, Constant Field Values

### APPROVE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

    static final int APPROVE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

  The feature id for the 'Request Slot List' containment reference.

  See Also:
    Constant Field Values

### APPROVE_OBJECTS_REQUEST_TYPE__COMMENT

    static final int APPROVE_OBJECTS_REQUEST_TYPE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### APPROVE_OBJECTS_REQUEST_TYPE__ID

    static final int APPROVE_OBJECTS_REQUEST_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### APPROVE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

    static final int APPROVE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

  The feature id for the 'Adhoc Query' containment reference.

  See Also:
    Constant Field Values

### APPROVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

    static final int APPROVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

  The feature id for the 'Object Ref List' containment reference.

  See Also:
    Constant Field Values

### APPROVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

    static final int APPROVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Approve Objects Request Type' class.

  See Also:
    Constant Field Values

### DEPRECATE_OBJECTS_REQUEST_TYPE

    static final int DEPRECATE_OBJECTS_REQUEST_TYPE

  The meta object id for the '`Deprecate Objects Request Type`' class.

  See Also:
    `DeprecateObjectsRequestTypeImpl`, `LCMPackageImpl.getDeprecateObjectsRequestType()`, Constant Field Values

### DEPRECATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

    static final int DEPRECATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

  The feature id for the 'Request Slot List' containment reference.

  See Also:
    Constant Field Values

### DEPRECATE_OBJECTS_REQUEST_TYPE__COMMENT

    static final int DEPRECATE_OBJECTS_REQUEST_TYPE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### DEPRECATE_OBJECTS_REQUEST_TYPE__ID

    static final int DEPRECATE_OBJECTS_REQUEST_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### DEPRECATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

    static final int DEPRECATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

  The feature id for the 'Adhoc Query' containment reference.

  See Also:
    Constant Field Values

### DEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

    static final int DEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

  The feature id for the 'Object Ref List' containment reference.

  See Also:
    Constant Field Values

### DEPRECATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

    static final int DEPRECATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Deprecate Objects Request Type' class.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT

    static final int DOCUMENT_ROOT

  The meta object id for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `LCMPackageImpl.getDocumentRoot()`, Constant Field Values

### DOCUMENT_ROOT__MIXED

    static final int DOCUMENT_ROOT__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final int DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The feature id for the 'XMLNS Prefix Map' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final int DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The feature id for the 'XSI Schema Location' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ACCEPT_OBJECTS_REQUEST

    static final int DOCUMENT_ROOT__ACCEPT_OBJECTS_REQUEST

  The feature id for the 'Accept Objects Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__APPROVE_OBJECTS_REQUEST

    static final int DOCUMENT_ROOT__APPROVE_OBJECTS_REQUEST

  The feature id for the 'Approve Objects Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__DEPRECATE_OBJECTS_REQUEST

    static final int DOCUMENT_ROOT__DEPRECATE_OBJECTS_REQUEST

  The feature id for the 'Deprecate Objects Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__RELOCATE_OBJECTS_REQUEST

    static final int DOCUMENT_ROOT__RELOCATE_OBJECTS_REQUEST

  The feature id for the 'Relocate Objects Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__REMOVE_OBJECTS_REQUEST

    static final int DOCUMENT_ROOT__REMOVE_OBJECTS_REQUEST

  The feature id for the 'Remove Objects Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SUBMIT_OBJECTS_REQUEST

    static final int DOCUMENT_ROOT__SUBMIT_OBJECTS_REQUEST

  The feature id for the 'Submit Objects Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__UNDEPRECATE_OBJECTS_REQUEST

    static final int DOCUMENT_ROOT__UNDEPRECATE_OBJECTS_REQUEST

  The feature id for the 'Undeprecate Objects Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__UPDATE_OBJECTS_REQUEST

    static final int DOCUMENT_ROOT__UPDATE_OBJECTS_REQUEST

  The feature id for the 'Update Objects Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT_FEATURE_COUNT

    static final int DOCUMENT_ROOT_FEATURE_COUNT

  The number of structural features of the 'Document Root' class.

  See Also:
    Constant Field Values

### RELOCATE_OBJECTS_REQUEST_TYPE

    static final int RELOCATE_OBJECTS_REQUEST_TYPE

  The meta object id for the '`Relocate Objects Request Type`' class.

  See Also:
    `RelocateObjectsRequestTypeImpl`, `LCMPackageImpl.getRelocateObjectsRequestType()`, Constant Field Values

### RELOCATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

    static final int RELOCATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

  The feature id for the 'Request Slot List' containment reference.

  See Also:
    Constant Field Values

### RELOCATE_OBJECTS_REQUEST_TYPE__COMMENT

    static final int RELOCATE_OBJECTS_REQUEST_TYPE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### RELOCATE_OBJECTS_REQUEST_TYPE__ID

    static final int RELOCATE_OBJECTS_REQUEST_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### RELOCATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

    static final int RELOCATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

  The feature id for the 'Adhoc Query' containment reference.

  See Also:
    Constant Field Values

### RELOCATE_OBJECTS_REQUEST_TYPE__SOURCE_REGISTRY

    static final int RELOCATE_OBJECTS_REQUEST_TYPE__SOURCE_REGISTRY

  The feature id for the 'Source Registry' containment reference.

  See Also:
    Constant Field Values

### RELOCATE_OBJECTS_REQUEST_TYPE__DESTINATION_REGISTRY

    static final int RELOCATE_OBJECTS_REQUEST_TYPE__DESTINATION_REGISTRY

  The feature id for the 'Destination Registry' containment reference.

  See Also:
    Constant Field Values

### RELOCATE_OBJECTS_REQUEST_TYPE__OWNER_AT_SOURCE

    static final int RELOCATE_OBJECTS_REQUEST_TYPE__OWNER_AT_SOURCE

  The feature id for the 'Owner At Source' containment reference.

  See Also:
    Constant Field Values

### RELOCATE_OBJECTS_REQUEST_TYPE__OWNER_AT_DESTINATION

    static final int RELOCATE_OBJECTS_REQUEST_TYPE__OWNER_AT_DESTINATION

  The feature id for the 'Owner At Destination' containment reference.

  See Also:
    Constant Field Values

### RELOCATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

    static final int RELOCATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Relocate Objects Request Type' class.

  See Also:
    Constant Field Values

### REMOVE_OBJECTS_REQUEST_TYPE

    static final int REMOVE_OBJECTS_REQUEST_TYPE

  The meta object id for the '`Remove Objects Request Type`' class.

  See Also:
    `RemoveObjectsRequestTypeImpl`, `LCMPackageImpl.getRemoveObjectsRequestType()`, Constant Field Values

### REMOVE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

    static final int REMOVE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

  The feature id for the 'Request Slot List' containment reference.

  See Also:
    Constant Field Values

### REMOVE_OBJECTS_REQUEST_TYPE__COMMENT

    static final int REMOVE_OBJECTS_REQUEST_TYPE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### REMOVE_OBJECTS_REQUEST_TYPE__ID

    static final int REMOVE_OBJECTS_REQUEST_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### REMOVE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

    static final int REMOVE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

  The feature id for the 'Adhoc Query' containment reference.

  See Also:
    Constant Field Values

### REMOVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

    static final int REMOVE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

  The feature id for the 'Object Ref List' containment reference.

  See Also:
    Constant Field Values

### REMOVE_OBJECTS_REQUEST_TYPE__DELETION_SCOPE

    static final int REMOVE_OBJECTS_REQUEST_TYPE__DELETION_SCOPE

  The feature id for the 'Deletion Scope' attribute.

  See Also:
    Constant Field Values

### REMOVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

    static final int REMOVE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Remove Objects Request Type' class.

  See Also:
    Constant Field Values

### SUBMIT_OBJECTS_REQUEST_TYPE

    static final int SUBMIT_OBJECTS_REQUEST_TYPE

  The meta object id for the '`Submit Objects Request Type`' class.

  See Also:
    `SubmitObjectsRequestTypeImpl`, `LCMPackageImpl.getSubmitObjectsRequestType()`, Constant Field Values

### SUBMIT_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

    static final int SUBMIT_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

  The feature id for the 'Request Slot List' containment reference.

  See Also:
    Constant Field Values

### SUBMIT_OBJECTS_REQUEST_TYPE__COMMENT

    static final int SUBMIT_OBJECTS_REQUEST_TYPE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### SUBMIT_OBJECTS_REQUEST_TYPE__ID

    static final int SUBMIT_OBJECTS_REQUEST_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### SUBMIT_OBJECTS_REQUEST_TYPE__REGISTRY_OBJECT_LIST

    static final int SUBMIT_OBJECTS_REQUEST_TYPE__REGISTRY_OBJECT_LIST

  The feature id for the 'Registry Object List' containment reference.

  See Also:
    Constant Field Values

### SUBMIT_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

    static final int SUBMIT_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Submit Objects Request Type' class.

  See Also:
    Constant Field Values

### UNDEPRECATE_OBJECTS_REQUEST_TYPE

    static final int UNDEPRECATE_OBJECTS_REQUEST_TYPE

  The meta object id for the '`Undeprecate Objects Request Type`' class.

  See Also:
    `UndeprecateObjectsRequestTypeImpl`, `LCMPackageImpl.getUndeprecateObjectsRequestType()`, Constant Field Values

### UNDEPRECATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

    static final int UNDEPRECATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

  The feature id for the 'Request Slot List' containment reference.

  See Also:
    Constant Field Values

### UNDEPRECATE_OBJECTS_REQUEST_TYPE__COMMENT

    static final int UNDEPRECATE_OBJECTS_REQUEST_TYPE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### UNDEPRECATE_OBJECTS_REQUEST_TYPE__ID

    static final int UNDEPRECATE_OBJECTS_REQUEST_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### UNDEPRECATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

    static final int UNDEPRECATE_OBJECTS_REQUEST_TYPE__ADHOC_QUERY

  The feature id for the 'Adhoc Query' containment reference.

  See Also:
    Constant Field Values

### UNDEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

    static final int UNDEPRECATE_OBJECTS_REQUEST_TYPE__OBJECT_REF_LIST

  The feature id for the 'Object Ref List' containment reference.

  See Also:
    Constant Field Values

### UNDEPRECATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

    static final int UNDEPRECATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Undeprecate Objects Request Type' class.

  See Also:
    Constant Field Values

### UPDATE_OBJECTS_REQUEST_TYPE

    static final int UPDATE_OBJECTS_REQUEST_TYPE

  The meta object id for the '`Update Objects Request Type`' class.

  See Also:
    `UpdateObjectsRequestTypeImpl`, `LCMPackageImpl.getUpdateObjectsRequestType()`, Constant Field Values

### UPDATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

    static final int UPDATE_OBJECTS_REQUEST_TYPE__REQUEST_SLOT_LIST

  The feature id for the 'Request Slot List' containment reference.

  See Also:
    Constant Field Values

### UPDATE_OBJECTS_REQUEST_TYPE__COMMENT

    static final int UPDATE_OBJECTS_REQUEST_TYPE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### UPDATE_OBJECTS_REQUEST_TYPE__ID

    static final int UPDATE_OBJECTS_REQUEST_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### UPDATE_OBJECTS_REQUEST_TYPE__REGISTRY_OBJECT_LIST

    static final int UPDATE_OBJECTS_REQUEST_TYPE__REGISTRY_OBJECT_LIST

  The feature id for the 'Registry Object List' containment reference.

  See Also:
    Constant Field Values

### UPDATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

    static final int UPDATE_OBJECTS_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Update Objects Request Type' class.

  See Also:
    Constant Field Values

Method Detail

### getAcceptObjectsRequestType

    org.eclipse.emf.ecore.EClass getAcceptObjectsRequestType()

  Returns the meta object for class '`Accept Objects Request Type`'.

  Returns:
    the meta object for class 'Accept Objects Request Type'.
  See Also:
    `AcceptObjectsRequestType`

### getAcceptObjectsRequestType_CorrelationId

    org.eclipse.emf.ecore.EAttribute getAcceptObjectsRequestType_CorrelationId()

  Returns the meta object for the attribute '`Correlation Id`'.

  Returns:
    the meta object for the attribute 'Correlation Id'.
  See Also:
    `AcceptObjectsRequestType.getCorrelationId()`, `getAcceptObjectsRequestType()`

### getApproveObjectsRequestType

    org.eclipse.emf.ecore.EClass getApproveObjectsRequestType()

  Returns the meta object for class '`Approve Objects Request Type`'.

  Returns:
    the meta object for class 'Approve Objects Request Type'.
  See Also:
    `ApproveObjectsRequestType`

### getApproveObjectsRequestType_AdhocQuery

    org.eclipse.emf.ecore.EReference getApproveObjectsRequestType_AdhocQuery()

  Returns the meta object for the containment reference '`Adhoc Query`'.

  Returns:
    the meta object for the containment reference 'Adhoc Query'.
  See Also:
    `ApproveObjectsRequestType.getAdhocQuery()`, `getApproveObjectsRequestType()`

### getApproveObjectsRequestType_ObjectRefList

    org.eclipse.emf.ecore.EReference getApproveObjectsRequestType_ObjectRefList()

  Returns the meta object for the containment reference '`Object Ref List`'.

  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `ApproveObjectsRequestType.getObjectRefList()`, `getApproveObjectsRequestType()`

### getDeprecateObjectsRequestType

    org.eclipse.emf.ecore.EClass getDeprecateObjectsRequestType()

  Returns the meta object for class '`Deprecate Objects Request Type`'.

  Returns:
    the meta object for class 'Deprecate Objects Request Type'.
  See Also:
    `DeprecateObjectsRequestType`

### getDeprecateObjectsRequestType_AdhocQuery

    org.eclipse.emf.ecore.EReference getDeprecateObjectsRequestType_AdhocQuery()

  Returns the meta object for the containment reference '`Adhoc Query`'.

  Returns:
    the meta object for the containment reference 'Adhoc Query'.
  See Also:
    `DeprecateObjectsRequestType.getAdhocQuery()`, `getDeprecateObjectsRequestType()`

### getDeprecateObjectsRequestType_ObjectRefList

    org.eclipse.emf.ecore.EReference getDeprecateObjectsRequestType_ObjectRefList()

  Returns the meta object for the containment reference '`Object Ref List`'.

  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `DeprecateObjectsRequestType.getObjectRefList()`, `getDeprecateObjectsRequestType()`

### getDocumentRoot

    org.eclipse.emf.ecore.EClass getDocumentRoot()

  Returns the meta object for class '`Document Root`'.

  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Returns the meta object for the attribute list '`Mixed`'.

  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Returns the meta object for the map '`XMLNS Prefix Map`'.

  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Returns the meta object for the map '`XSI Schema Location`'.

  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `getDocumentRoot()`

### getDocumentRoot_AcceptObjectsRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_AcceptObjectsRequest()

  Returns the meta object for the containment reference '`Accept Objects Request`'.

  Returns:
    the meta object for the containment reference 'Accept Objects Request'.
  See Also:
    `DocumentRoot.getAcceptObjectsRequest()`, `getDocumentRoot()`

### getDocumentRoot_ApproveObjectsRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_ApproveObjectsRequest()

  Returns the meta object for the containment reference '`Approve Objects Request`'.

  Returns:
    the meta object for the containment reference 'Approve Objects Request'.
  See Also:
    `DocumentRoot.getApproveObjectsRequest()`, `getDocumentRoot()`

### getDocumentRoot_DeprecateObjectsRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_DeprecateObjectsRequest()

  Returns the meta object for the containment reference '`Deprecate Objects Request`'.

  Returns:
    the meta object for the containment reference 'Deprecate Objects Request'.
  See Also:
    `DocumentRoot.getDeprecateObjectsRequest()`, `getDocumentRoot()`

### getDocumentRoot_RelocateObjectsRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_RelocateObjectsRequest()

  Returns the meta object for the containment reference '`Relocate Objects Request`'.

  Returns:
    the meta object for the containment reference 'Relocate Objects Request'.
  See Also:
    `DocumentRoot.getRelocateObjectsRequest()`, `getDocumentRoot()`

### getDocumentRoot_RemoveObjectsRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_RemoveObjectsRequest()

  Returns the meta object for the containment reference '`Remove Objects Request`'.

  Returns:
    the meta object for the containment reference 'Remove Objects Request'.
  See Also:
    `DocumentRoot.getRemoveObjectsRequest()`, `getDocumentRoot()`

### getDocumentRoot_SubmitObjectsRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_SubmitObjectsRequest()

  Returns the meta object for the containment reference '`Submit Objects Request`'.

  Returns:
    the meta object for the containment reference 'Submit Objects Request'.
  See Also:
    `DocumentRoot.getSubmitObjectsRequest()`, `getDocumentRoot()`

### getDocumentRoot_UndeprecateObjectsRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_UndeprecateObjectsRequest()

  Returns the meta object for the containment reference '`Undeprecate Objects Request`'.

  Returns:
    the meta object for the containment reference 'Undeprecate Objects Request'.
  See Also:
    `DocumentRoot.getUndeprecateObjectsRequest()`, `getDocumentRoot()`

### getDocumentRoot_UpdateObjectsRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_UpdateObjectsRequest()

  Returns the meta object for the containment reference '`Update Objects Request`'.

  Returns:
    the meta object for the containment reference 'Update Objects Request'.
  See Also:
    `DocumentRoot.getUpdateObjectsRequest()`, `getDocumentRoot()`

### getRelocateObjectsRequestType

    org.eclipse.emf.ecore.EClass getRelocateObjectsRequestType()

  Returns the meta object for class '`Relocate Objects Request Type`'.

  Returns:
    the meta object for class 'Relocate Objects Request Type'.
  See Also:
    `RelocateObjectsRequestType`

### getRelocateObjectsRequestType_AdhocQuery

    org.eclipse.emf.ecore.EReference getRelocateObjectsRequestType_AdhocQuery()

  Returns the meta object for the containment reference '`Adhoc Query`'.

  Returns:
    the meta object for the containment reference 'Adhoc Query'.
  See Also:
    `RelocateObjectsRequestType.getAdhocQuery()`, `getRelocateObjectsRequestType()`

### getRelocateObjectsRequestType_SourceRegistry

    org.eclipse.emf.ecore.EReference getRelocateObjectsRequestType_SourceRegistry()

  Returns the meta object for the containment reference '`Source Registry`'.

  Returns:
    the meta object for the containment reference 'Source Registry'.
  See Also:
    `RelocateObjectsRequestType.getSourceRegistry()`, `getRelocateObjectsRequestType()`

### getRelocateObjectsRequestType_DestinationRegistry

    org.eclipse.emf.ecore.EReference getRelocateObjectsRequestType_DestinationRegistry()

  Returns the meta object for the containment reference '`Destination Registry`'.

  Returns:
    the meta object for the containment reference 'Destination Registry'.
  See Also:
    `RelocateObjectsRequestType.getDestinationRegistry()`, `getRelocateObjectsRequestType()`

### getRelocateObjectsRequestType_OwnerAtSource

    org.eclipse.emf.ecore.EReference getRelocateObjectsRequestType_OwnerAtSource()

  Returns the meta object for the containment reference '`Owner At Source`'.

  Returns:
    the meta object for the containment reference 'Owner At Source'.
  See Also:
    `RelocateObjectsRequestType.getOwnerAtSource()`, `getRelocateObjectsRequestType()`

### getRelocateObjectsRequestType_OwnerAtDestination

    org.eclipse.emf.ecore.EReference getRelocateObjectsRequestType_OwnerAtDestination()

  Returns the meta object for the containment reference '`Owner At Destination`'.

  Returns:
    the meta object for the containment reference 'Owner At Destination'.
  See Also:
    `RelocateObjectsRequestType.getOwnerAtDestination()`, `getRelocateObjectsRequestType()`

### getRemoveObjectsRequestType

    org.eclipse.emf.ecore.EClass getRemoveObjectsRequestType()

  Returns the meta object for class '`Remove Objects Request Type`'.

  Returns:
    the meta object for class 'Remove Objects Request Type'.
  See Also:
    `RemoveObjectsRequestType`

### getRemoveObjectsRequestType_AdhocQuery

    org.eclipse.emf.ecore.EReference getRemoveObjectsRequestType_AdhocQuery()

  Returns the meta object for the containment reference '`Adhoc Query`'.

  Returns:
    the meta object for the containment reference 'Adhoc Query'.
  See Also:
    `RemoveObjectsRequestType.getAdhocQuery()`, `getRemoveObjectsRequestType()`

### getRemoveObjectsRequestType_ObjectRefList

    org.eclipse.emf.ecore.EReference getRemoveObjectsRequestType_ObjectRefList()

  Returns the meta object for the containment reference '`Object Ref List`'.

  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `RemoveObjectsRequestType.getObjectRefList()`, `getRemoveObjectsRequestType()`

### getRemoveObjectsRequestType_DeletionScope

    org.eclipse.emf.ecore.EAttribute getRemoveObjectsRequestType_DeletionScope()

  Returns the meta object for the attribute '`Deletion Scope`'.

  Returns:
    the meta object for the attribute 'Deletion Scope'.
  See Also:
    `RemoveObjectsRequestType.getDeletionScope()`, `getRemoveObjectsRequestType()`

### getSubmitObjectsRequestType

    org.eclipse.emf.ecore.EClass getSubmitObjectsRequestType()

  Returns the meta object for class '`Submit Objects Request Type`'.

  Returns:
    the meta object for class 'Submit Objects Request Type'.
  See Also:
    `SubmitObjectsRequestType`

### getSubmitObjectsRequestType_RegistryObjectList

    org.eclipse.emf.ecore.EReference getSubmitObjectsRequestType_RegistryObjectList()

  Returns the meta object for the containment reference '`Registry Object List`'.

  Returns:
    the meta object for the containment reference 'Registry Object List'.
  See Also:
    `SubmitObjectsRequestType.getRegistryObjectList()`, `getSubmitObjectsRequestType()`

### getUndeprecateObjectsRequestType

    org.eclipse.emf.ecore.EClass getUndeprecateObjectsRequestType()

  Returns the meta object for class '`Undeprecate Objects Request Type`'.

  Returns:
    the meta object for class 'Undeprecate Objects Request Type'.
  See Also:
    `UndeprecateObjectsRequestType`

### getUndeprecateObjectsRequestType_AdhocQuery

    org.eclipse.emf.ecore.EReference getUndeprecateObjectsRequestType_AdhocQuery()

  Returns the meta object for the containment reference '`Adhoc Query`'.

  Returns:
    the meta object for the containment reference 'Adhoc Query'.
  See Also:
    `UndeprecateObjectsRequestType.getAdhocQuery()`, `getUndeprecateObjectsRequestType()`

### getUndeprecateObjectsRequestType_ObjectRefList

    org.eclipse.emf.ecore.EReference getUndeprecateObjectsRequestType_ObjectRefList()

  Returns the meta object for the containment reference '`Object Ref List`'.

  Returns:
    the meta object for the containment reference 'Object Ref List'.
  See Also:
    `UndeprecateObjectsRequestType.getObjectRefList()`, `getUndeprecateObjectsRequestType()`

### getUpdateObjectsRequestType

    org.eclipse.emf.ecore.EClass getUpdateObjectsRequestType()

  Returns the meta object for class '`Update Objects Request Type`'.

  Returns:
    the meta object for class 'Update Objects Request Type'.
  See Also:
    `UpdateObjectsRequestType`

### getUpdateObjectsRequestType_RegistryObjectList

    org.eclipse.emf.ecore.EReference getUpdateObjectsRequestType_RegistryObjectList()

  Returns the meta object for the containment reference '`Registry Object List`'.

  Returns:
    the meta object for the containment reference 'Registry Object List'.
  See Also:
    `UpdateObjectsRequestType.getRegistryObjectList()`, `getUpdateObjectsRequestType()`

### getLCMFactory

    LCMFactory getLCMFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD